Loading...
Searching...
No Matches
gpiod::request_config Class Referencefinal

Stores a set of options passed to the kernel when making a line request. More...

`#include <request-config.hpp>`

## Public Member Functions

| request_config ()
| Constructor.
| request_config (const request_config &other)=delete
| request_config (request_config &&other) noexcept
| Move constructor.
| ~request_config ()
request_config & | operator= (request_config &&other) noexcept
| Move assignment operator.
request_config & | set_consumer (const ::std::string &consumer) noexcept
| Set the consumer name.
::std::string | consumer () const noexcept
| Get the consumer name.
request_config & | set_event_buffer_size (::std::size_t event_buffer_size) noexcept
| Set the size of the kernel event buffer.
::std::size_t | event_buffer_size () const noexcept
| Get the edge event buffer size from this request config.

## Detailed Description

Stores a set of options passed to the kernel when making a line request.

## Constructor & Destructor Documentation

## request_config() [1/3]

gpiod::request_config::request_config | ( |  | ) |

Constructor.

## request_config() [2/3]

gpiod::request_config::request_config | ( | const request_config & | other | ) |

delete

## request_config() [3/3]

gpiod::request_config::request_config | ( | request_config && | other | ) |

noexcept

Move constructor.

Parameters

  other | Object to move.

## ~request_config()

gpiod::request_config::~request_config | ( |  | ) |

## Member Function Documentation

## consumer()

::std::string gpiod::request_config::consumer | ( |  | ) | const

noexcept

Get the consumer name.

Returns
  Currently configured consumer name. May be an empty string.

## event_buffer_size()

::std::size_t gpiod::request_config::event_buffer_size | ( |  | ) | const

noexcept

Get the edge event buffer size from this request config.

Returns
  Current edge event buffer size setting.

## operator=()

request_config & gpiod::request_config::operator= | ( | request_config && | other | ) |

noexcept

Move assignment operator.

Parameters

  other | Object to move.

Returns
  Reference to self.

## set_consumer()

request_config & gpiod::request_config::set_consumer | ( | const ::std::string & | consumer | ) |

noexcept

Set the consumer name.

Parameters

  consumer | New consumer name.

Returns
  Reference to self.

## set_event_buffer_size()

request_config & gpiod::request_config::set_event_buffer_size | ( | ::std::size_t | event_buffer_size | ) |

noexcept

Set the size of the kernel event buffer.

Parameters

  event_buffer_size | New event buffer size.

Returns
  Reference to self.

Note
  The kernel may adjust the value if it's too high. If set to 0, the default value will be used.

The documentation for this class was generated from the following file:

- request-config.hpp